package com.chenyang.nse.bussiness.webtools.entity.vo;

public class MviewVO {
   private String owner;
   private String comment;
   private String container;
   private String refreshAble;
   private String rewriteOn;
   private String rewrite;
   private String refreshMode;
   private String refreshMethod;
   private String buildMode;
   private String quickRefresh;
   private String refreshType;
   private String refreshDate;
   private String disableState;
   private String viewname;
   private String text;

   public String getOwner() {
      return this.owner;
   }

   public String getComment() {
      return this.comment;
   }

   public String getContainer() {
      return this.container;
   }

   public String getRefreshAble() {
      return this.refreshAble;
   }

   public String getRewriteOn() {
      return this.rewriteOn;
   }

   public String getRewrite() {
      return this.rewrite;
   }

   public String getRefreshMode() {
      return this.refreshMode;
   }

   public String getRefreshMethod() {
      return this.refreshMethod;
   }

   public String getBuildMode() {
      return this.buildMode;
   }

   public String getQuickRefresh() {
      return this.quickRefresh;
   }

   public String getRefreshType() {
      return this.refreshType;
   }

   public String getRefreshDate() {
      return this.refreshDate;
   }

   public String getDisableState() {
      return this.disableState;
   }

   public String getViewname() {
      return this.viewname;
   }

   public String getText() {
      return this.text;
   }

   public void setOwner(final String owner) {
      this.owner = owner;
   }

   public void setComment(final String comment) {
      this.comment = comment;
   }

   public void setContainer(final String container) {
      this.container = container;
   }

   public void setRefreshAble(final String refreshAble) {
      this.refreshAble = refreshAble;
   }

   public void setRewriteOn(final String rewriteOn) {
      this.rewriteOn = rewriteOn;
   }

   public void setRewrite(final String rewrite) {
      this.rewrite = rewrite;
   }

   public void setRefreshMode(final String refreshMode) {
      this.refreshMode = refreshMode;
   }

   public void setRefreshMethod(final String refreshMethod) {
      this.refreshMethod = refreshMethod;
   }

   public void setBuildMode(final String buildMode) {
      this.buildMode = buildMode;
   }

   public void setQuickRefresh(final String quickRefresh) {
      this.quickRefresh = quickRefresh;
   }

   public void setRefreshType(final String refreshType) {
      this.refreshType = refreshType;
   }

   public void setRefreshDate(final String refreshDate) {
      this.refreshDate = refreshDate;
   }

   public void setDisableState(final String disableState) {
      this.disableState = disableState;
   }

   public void setViewname(final String viewname) {
      this.viewname = viewname;
   }

   public void setText(final String text) {
      this.text = text;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof MviewVO)) {
         return false;
      } else {
         MviewVO other = (MviewVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$owner = this.getOwner();
            Object other$owner = other.getOwner();
            if (this$owner == null) {
               if (other$owner != null) {
                  return false;
               }
            } else if (!this$owner.equals(other$owner)) {
               return false;
            }

            Object this$comment = this.getComment();
            Object other$comment = other.getComment();
            if (this$comment == null) {
               if (other$comment != null) {
                  return false;
               }
            } else if (!this$comment.equals(other$comment)) {
               return false;
            }

            Object this$container = this.getContainer();
            Object other$container = other.getContainer();
            if (this$container == null) {
               if (other$container != null) {
                  return false;
               }
            } else if (!this$container.equals(other$container)) {
               return false;
            }

            Object this$refreshAble = this.getRefreshAble();
            Object other$refreshAble = other.getRefreshAble();
            if (this$refreshAble == null) {
               if (other$refreshAble != null) {
                  return false;
               }
            } else if (!this$refreshAble.equals(other$refreshAble)) {
               return false;
            }

            Object this$rewriteOn = this.getRewriteOn();
            Object other$rewriteOn = other.getRewriteOn();
            if (this$rewriteOn == null) {
               if (other$rewriteOn != null) {
                  return false;
               }
            } else if (!this$rewriteOn.equals(other$rewriteOn)) {
               return false;
            }

            Object this$rewrite = this.getRewrite();
            Object other$rewrite = other.getRewrite();
            if (this$rewrite == null) {
               if (other$rewrite != null) {
                  return false;
               }
            } else if (!this$rewrite.equals(other$rewrite)) {
               return false;
            }

            Object this$refreshMode = this.getRefreshMode();
            Object other$refreshMode = other.getRefreshMode();
            if (this$refreshMode == null) {
               if (other$refreshMode != null) {
                  return false;
               }
            } else if (!this$refreshMode.equals(other$refreshMode)) {
               return false;
            }

            Object this$refreshMethod = this.getRefreshMethod();
            Object other$refreshMethod = other.getRefreshMethod();
            if (this$refreshMethod == null) {
               if (other$refreshMethod != null) {
                  return false;
               }
            } else if (!this$refreshMethod.equals(other$refreshMethod)) {
               return false;
            }

            Object this$buildMode = this.getBuildMode();
            Object other$buildMode = other.getBuildMode();
            if (this$buildMode == null) {
               if (other$buildMode != null) {
                  return false;
               }
            } else if (!this$buildMode.equals(other$buildMode)) {
               return false;
            }

            Object this$quickRefresh = this.getQuickRefresh();
            Object other$quickRefresh = other.getQuickRefresh();
            if (this$quickRefresh == null) {
               if (other$quickRefresh != null) {
                  return false;
               }
            } else if (!this$quickRefresh.equals(other$quickRefresh)) {
               return false;
            }

            Object this$refreshType = this.getRefreshType();
            Object other$refreshType = other.getRefreshType();
            if (this$refreshType == null) {
               if (other$refreshType != null) {
                  return false;
               }
            } else if (!this$refreshType.equals(other$refreshType)) {
               return false;
            }

            Object this$refreshDate = this.getRefreshDate();
            Object other$refreshDate = other.getRefreshDate();
            if (this$refreshDate == null) {
               if (other$refreshDate != null) {
                  return false;
               }
            } else if (!this$refreshDate.equals(other$refreshDate)) {
               return false;
            }

            Object this$disableState = this.getDisableState();
            Object other$disableState = other.getDisableState();
            if (this$disableState == null) {
               if (other$disableState != null) {
                  return false;
               }
            } else if (!this$disableState.equals(other$disableState)) {
               return false;
            }

            Object this$viewname = this.getViewname();
            Object other$viewname = other.getViewname();
            if (this$viewname == null) {
               if (other$viewname != null) {
                  return false;
               }
            } else if (!this$viewname.equals(other$viewname)) {
               return false;
            }

            Object this$text = this.getText();
            Object other$text = other.getText();
            if (this$text == null) {
               if (other$text != null) {
                  return false;
               }
            } else if (!this$text.equals(other$text)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof MviewVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $owner = this.getOwner();
      result = result * 59 + ($owner == null ? 43 : $owner.hashCode());
      Object $comment = this.getComment();
      result = result * 59 + ($comment == null ? 43 : $comment.hashCode());
      Object $container = this.getContainer();
      result = result * 59 + ($container == null ? 43 : $container.hashCode());
      Object $refreshAble = this.getRefreshAble();
      result = result * 59 + ($refreshAble == null ? 43 : $refreshAble.hashCode());
      Object $rewriteOn = this.getRewriteOn();
      result = result * 59 + ($rewriteOn == null ? 43 : $rewriteOn.hashCode());
      Object $rewrite = this.getRewrite();
      result = result * 59 + ($rewrite == null ? 43 : $rewrite.hashCode());
      Object $refreshMode = this.getRefreshMode();
      result = result * 59 + ($refreshMode == null ? 43 : $refreshMode.hashCode());
      Object $refreshMethod = this.getRefreshMethod();
      result = result * 59 + ($refreshMethod == null ? 43 : $refreshMethod.hashCode());
      Object $buildMode = this.getBuildMode();
      result = result * 59 + ($buildMode == null ? 43 : $buildMode.hashCode());
      Object $quickRefresh = this.getQuickRefresh();
      result = result * 59 + ($quickRefresh == null ? 43 : $quickRefresh.hashCode());
      Object $refreshType = this.getRefreshType();
      result = result * 59 + ($refreshType == null ? 43 : $refreshType.hashCode());
      Object $refreshDate = this.getRefreshDate();
      result = result * 59 + ($refreshDate == null ? 43 : $refreshDate.hashCode());
      Object $disableState = this.getDisableState();
      result = result * 59 + ($disableState == null ? 43 : $disableState.hashCode());
      Object $viewname = this.getViewname();
      result = result * 59 + ($viewname == null ? 43 : $viewname.hashCode());
      Object $text = this.getText();
      result = result * 59 + ($text == null ? 43 : $text.hashCode());
      return result;
   }

   public String toString() {
      return "MviewVO(owner=" + this.getOwner() + ", comment=" + this.getComment() + ", container=" + this.getContainer() + ", refreshAble=" + this.getRefreshAble() + ", rewriteOn=" + this.getRewriteOn() + ", rewrite=" + this.getRewrite() + ", refreshMode=" + this.getRefreshMode() + ", refreshMethod=" + this.getRefreshMethod() + ", buildMode=" + this.getBuildMode() + ", quickRefresh=" + this.getQuickRefresh() + ", refreshType=" + this.getRefreshType() + ", refreshDate=" + this.getRefreshDate() + ", disableState=" + this.getDisableState() + ", viewname=" + this.getViewname() + ", text=" + this.getText() + ")";
   }
}
